#include "Texto.h"
#include <stdlib.h>
#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>

Texto::Texto(char * path, int tam)
{
	if (TTF_Init() == -1)
	{
		printf("Error al inicializar el Engine de fuentes\n");
		exit(1);	//inicializamos el engine de fuentes
	}
	fuente = TTF_OpenFont(path,tam);
}

Texto::~Texto()
{
	TTF_CloseFont(fuente);
}

void Texto::setEstilo(int estilo)
{
	TTF_SetFontStyle(fuente,estilo);
}

int Texto::getEstilo()
{
	return TTF_GetFontStyle(fuente);
}

void Texto::EscribeTexto(char * texto, SDL_Surface * destino, SDL_Rect rectDest,int r, int g, int b)
{
	SDL_Color color;
	SDL_Rect rectOrigen;
	SDL_Surface *fuenteEscrita;
	
	color.r = r;
	color.g = g;
	color.b = b;
	fuenteEscrita = TTF_RenderText_Blended(fuente, texto, color);
	rectOrigen.x = 0;
	rectOrigen.y = 0;
	rectOrigen.w = fuenteEscrita->w;
	rectOrigen.h = fuenteEscrita->h;
	SDL_BlitSurface(fuenteEscrita, &rectOrigen, destino, &rectDest);
}
